Get PHR card
Endpoint: GET /abha/api/v3/phr/web/login/profile/abha/phr-card
Flow: ABHA Address Login - IRIS - step 4 of 5
- Previous: *Get ABHA-address profile*
- Next: *Get ABHA-address QR code*
---
This API endpoint is used to generate a PHR Card profile. It requires valid credentials and headers for authentication. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a User token ( Unique UUID for every request. Current UTC timestamp in ISO-8601 format. A 400 Bad Request error with the description “invalid X-token” indicates that the server received a request with an invalid or missing authentication token. Invalid Credentials error occurs when a server receives a request but cannot authorize it due to incorrect or missing authentication Internal Server Error An Internal Server Error (500) indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
X-tokenstringRequiredBearer <token>) received after ABHA creation / login.REQUEST-IDstringRequiredTIMESTAMPstringRequiredResponses
400401codestringmessagestringdescriptionstring500